* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: "Open Sans", sans-serif;
  font-size: 16px;
  background-color: #f4f4f4;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  margin: 0;
}
.container {
  background-color: #fff;
  padding: 1em;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
  width: 400px;
}
.form {
  padding: 10px 20px;
}
.form h1 {
  font-size: 1.5em;
  text-align: center;
  margin-bottom: 20px;
}
.form-field {
  margin-bottom: 5px;
}
.form-field label {
  display: block;
  color: #777;
  margin-bottom: 5px;
}
.form-field input {
  border: solid 2px #f0f0f0;
  border-radius: 3px;
  padding: 10px;
  margin-bottom: 5px;
  font-size: 14px;
  display: block;
  width: 100%;
}
.form-field.error input {
  border-color: red;
}
.form-field.success input {
  border-color: #4bb543;
}
.form-field small {
  color: #b00020;
}

/* button */
.btn {
  width: 100%;
  padding: 3%;
  background: #007bff;
  border-bottom: 2px solid #007bff;
  border-top-style: none;
  border-right-style: none;
  border-left-style: none;
  color: #000;
  text-transform: uppercase;
}
.btn:hover {
  background: #0069d9;
  color: #fff;
  cursor: pointer;
}
.input-field i {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  color: #999;
  font-size: 23px;
  transition: all 0.2s ease;
}
.input-field input:is(:focus, :valid) ~ i {
  color: #4070f4;
}
.input-field i.icon {
  left: 0;
}
.input-field i.showHidePw {
  right: 0;
  cursor: pointer;
  padding: 10px;
}

i {
  position: left;
}
.input-icons i {
  position: absolute;
}

.input-icons {
  width: 100%;
  margin-bottom: 10px;
}

.icon {
  padding: 10px;
  color: green;
  min-width: 50px;
  text-align: center;
}

.input-field {
  width: 100%;
  padding: 10px;
  text-align: center;
}
